Get all ledgers opening balances
curl --request GET \
--url https://api.sandbox.teal.dev/v0/ledgers/opening-balances \
--header 'Authorization: Bearer <token>' \
--header 'teal-instance-id: <teal-instance-id>'import requests
url = "https://api.sandbox.teal.dev/v0/ledgers/opening-balances"
headers = {
"teal-instance-id": "<teal-instance-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'teal-instance-id': '<teal-instance-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.teal.dev/v0/ledgers/opening-balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_page_token": "ikal0NEVfMhF8dJf4yQ6KQZmGD",
"prev_page_token": "vuA7JeKI5c6FLnPt5JfRcZcJxW",
"records": [
{
"id": "<string>",
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"creation_date": "2023-11-07T05:31:56Z",
"is_opening_balance": true,
"line_entry_ids": [
"XMDsKVuW4Wmi3LTW31Qw6E",
"NULcvXTkLczde32qs1rqgB"
],
"linked_entity": null,
"line_entries": [
{
"amount": 31282.28,
"categorization_status": "completed",
"datetime": "2023-02-15T06:42:18Z",
"debit_credit": "debit",
"description": "Payroll#230215",
"editable": false,
"id": "XMDsKVuW4Wmi3LTW31Qw6E",
"journal_entry_description": "Payroll#230215",
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"ledger_id": "7JRNsKwy2Lw66caxVU7WGC",
"ledger_name": "Pluto Checking 4242",
"sort_order": 1,
"tags": [],
"transaction_id": "txn_UjL3BQnEaJtecuC7CUeDk"
},
{
"amount": 31282.28,
"categorization_status": "completed",
"datetime": "2023-02-15T06:42:18Z",
"debit_credit": "credit",
"description": "Payroll#230215",
"editable": false,
"id": "NULcvXTkLczde32qs1rqgB",
"journal_entry_description": "Payroll#230215",
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"ledger_id": "HLn8oy2eqMUCwjp1Cwdgco",
"ledger_name": "Payroll Expense",
"sort_order": 2,
"tags": []
}
],
"accrual_source": {
"id": "<string>",
"instance_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123,
"amount_paid": 123,
"amount_adjusted": 123,
"amount_outstanding": 123,
"external_id": "<string>",
"external_party_id": "<string>",
"due_date": "2023-12-25",
"notes": "<string>",
"service_period_start": "2023-12-25",
"service_period_end": "2023-12-25",
"lines": [
{
"id": "<string>",
"accrual_source_id": "<string>",
"account_id": "<string>",
"line_number": 123,
"description": "<string>",
"amount": 123,
"external_id": "<string>"
}
],
"journal_entry_ids": [],
"files": [
{
"id": "<string>",
"file_name": "<string>"
}
],
"payment_applications": [
{
"payment_application_id": "<string>",
"matched_amount": 123,
"line_entry": {
"line_entry_id": "<string>",
"line_entry_description": "<string>",
"line_entry_amount": 123,
"journal_entry_id": "<string>",
"journal_entry_description": "<string>"
},
"adjustments": [
{
"accrual_adjustment_id": "<string>",
"debit_account_id": "<string>",
"credit_account_id": "<string>",
"amount": 123
}
]
}
]
},
"transfer": {
"id": "<string>",
"from_entry": {
"journal_entry_id": "<string>",
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"line_entries": [
{
"amount": 123,
"ledger_id": "<string>",
"id": "XMDsKVuW4Wmi3LTW31Qw6E",
"datetime": "2023-11-07T05:31:56Z",
"editable": true,
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"journal_entry_description": "<string>",
"ledger_name": "<string>",
"description": "Payroll#230215",
"related_line_entry_id": "<string>",
"transaction_id": "<string>",
"sort_order": 1,
"journal_entry": null,
"ledger": null,
"opposing_ledger_ids": [
"<string>"
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"tag_group_id": "<string>"
}
],
"transaction": null,
"payment_applications": [
{
"payment_application_id": "<string>",
"matched_amount": 123,
"accrual_source": {
"accrual_source_id": "<string>",
"external_id": "<string>",
"external_party_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123
},
"adjustments": [
{
"accrual_adjustment_id": "<string>",
"debit_account_id": "<string>",
"credit_account_id": "<string>",
"amount": 123
}
]
}
],
"accrual_source": {
"id": "<string>",
"instance_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123,
"amount_paid": 123,
"amount_adjusted": 123,
"amount_outstanding": 123,
"external_id": "<string>",
"external_party_id": "<string>",
"due_date": "2023-12-25",
"notes": "<string>",
"service_period_start": "2023-12-25",
"service_period_end": "2023-12-25",
"lines": [
{
"id": "<string>",
"accrual_source_id": "<string>",
"account_id": "<string>",
"line_number": 123,
"description": "<string>",
"amount": 123,
"external_id": "<string>"
}
]
}
}
]
},
"to_entry": {
"journal_entry_id": "<string>",
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"line_entries": [
{
"amount": 123,
"ledger_id": "<string>",
"id": "XMDsKVuW4Wmi3LTW31Qw6E",
"datetime": "2023-11-07T05:31:56Z",
"editable": true,
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"journal_entry_description": "<string>",
"ledger_name": "<string>",
"description": "Payroll#230215",
"related_line_entry_id": "<string>",
"transaction_id": "<string>",
"sort_order": 1,
"journal_entry": null,
"ledger": null,
"opposing_ledger_ids": [
"<string>"
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"tag_group_id": "<string>"
}
],
"transaction": null,
"payment_applications": [
{
"payment_application_id": "<string>",
"matched_amount": 123,
"accrual_source": {
"accrual_source_id": "<string>",
"external_id": "<string>",
"external_party_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123
},
"adjustments": [
{
"accrual_adjustment_id": "<string>",
"debit_account_id": "<string>",
"credit_account_id": "<string>",
"amount": 123
}
]
}
],
"accrual_source": {
"id": "<string>",
"instance_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123,
"amount_paid": 123,
"amount_adjusted": 123,
"amount_outstanding": 123,
"external_id": "<string>",
"external_party_id": "<string>",
"due_date": "2023-12-25",
"notes": "<string>",
"service_period_start": "2023-12-25",
"service_period_end": "2023-12-25",
"lines": [
{
"id": "<string>",
"accrual_source_id": "<string>",
"account_id": "<string>",
"line_number": 123,
"description": "<string>",
"amount": 123,
"external_id": "<string>"
}
]
}
}
]
}
}
}
]
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}Ledgers
Get all ledgers opening balances
Returns the opening balance journal entries as a paginated list.
GET
/
v0
/
ledgers
/
opening-balances
Get all ledgers opening balances
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Headers
The Teal instance ID
Query Parameters
The number of records to return. Max limit is 1000.
Required range:
x >= 1Opaque page token
Response
Successful Response
The token to use to request the next page
Example:
"ikal0NEVfMhF8dJf4yQ6KQZmGD"
The token to use to request the previous page
Example:
"vuA7JeKI5c6FLnPt5JfRcZcJxW"
List of journal entries
Show child attributes
Show child attributes
Example:
[ { "categorization_status": "completed", "creation_date": "2023-02-15T06:42:18Z", "creation_source": "manual", "datetime": "2023-02-15T06:42:18Z", "description": "Payroll#230215", "id": "C4ocnUQze8kDwQ3EczkZXn", "is_opening_balance": false, "line_entry_ids": [ "XMDsKVuW4Wmi3LTW31Qw6E", "NULcvXTkLczde32qs1rqgB" ] } ]
⌘I